#
# spec file for package perl-Test-Tester
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Tester
Version:        0.109
Release:        7.5
%define cpan_name Test-Tester
Summary:        Ease testing test modules built with Test::Builder
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Tester/
Source:         http://www.cpan.org/authors/id/F/FD/FDALY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(MyTest)
#BuildRequires: perl(SmallTest)
#BuildRequires: perl(Test::Tester)
#BuildRequires: perl(Test::Tester::Capture)
#BuildRequires: perl(Test::Tester::CaptureRunner)
#BuildRequires: perl(Test::Tester::Delegate)
%{perl_requires}

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ARTISTIC CHANGES README TODO

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.109
  Add minimal support for note and explain (i.e. don't crash).
* Mon Feb 20 2012 coolo@suse.com
- updated to 0.108
  At the request Michael Schwern, do not "require threads" any longer as
  it can upset Test::Builder. Anyone using threads should already have
  done that themselves. Anyway not, doesn't need it.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep  3 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- fixed deps
  o reuires Test::Builder
* Sat Jun 20 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
* Mon Aug 11 2008 lrupp@suse.de
- initial version 0.107
